Ir para o conteúdo
Documentação do Endless

Begin credits chat run

POST
/organizations/{organization_id}/credits/chat-runs/begin

Begin credits chat run. Scoped to the organization named by organization_id.

Authorization

bearerAuth
AuthorizationBearer <token>

JWT token from authentication

In: header

Path Parameters

organization_id*string
Match^org_

Header Parameters

Endless-Api-Version?string

Pin the caller to an API major (1). Omit to accept the current version. A major this deployment cannot serve is refused with 400 unsupported_api_version.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/organizations/org_abc123/credits/chat-runs/begin" \  -H "Content-Type: application/json" \  -d '{    "billing_run_id": "b50a0b7c-b294-41ff-ac82-0331ca4ad646",    "conversation_id": "cc71b11a-25cd-4c2d-9950-df2cc38e3407",    "assistant_id": "b3a0271c-5834-40ff-bc5d-41ab5e39dfef"  }'
{  "state": "active",  "start_available": -2147483648,  "captured_credits": -2147483648,  "charge_amount": -2147483648,  "settled_credits": -2147483648,  "billing_run_id": "b50a0b7c-b294-41ff-ac82-0331ca4ad646"}